
<?php

include("../includes/utility.php");
checkAdmin("/pfast/index.php");


if (isset($_REQUEST['pagemode']) && ('process' == $_REQUEST['pagemode']))
{
	process_form();
}
else
{
	display_form();
}

?>


<?php
function process_form()
{
//Get the input values into variables
	
	$Firstname = addslashes($_REQUEST["Firstname"]);
	$Lastname = addslashes($_REQUEST["Lastname"]);
	$Email = addslashes($_REQUEST["Email"]);

	// Check for empty search criteria 
	if ($Firstname=="" && $Lastname=="" && $Email=="")
	{
		$errormsg = "Please enter the value for atleast one of the search criteria.";
		display_form($errormsg);
		return;
	}

	// Connect to database
	OpenDB();

	if ($Firstname!="")
	{
		// Search for matching records with Firstname
		$searchstring = addslashes($_REQUEST["Firstname"]);
		$query = "SELECT * FROM user WHERE left(Firstname, " . strlen($Firstname) . ")='$Firstname'";
	
	}
	else
		if ($Lastname!="")
			{
			// Search for matching records with Lastname
			$searchstring = addslashes($_REQUEST["Lastname"]);
			$query = "SELECT * FROM user WHERE left(Lastname, " . strlen($Lastname) . ")='$Lastname'";
			
			}
			else
				if ($Email!="")
				{
				// Search for matching records with Email
				$searchstring = addslashes($_REQUEST["Email"]);
				$query = "SELECT * FROM user WHERE left(Email, " . strlen($Email) . ")='$Email'";
					
				}

	$resultset = mysql_query($query);
	$num_rows = mysql_num_rows($resultset);
		
	// If no matching record found, display error message
	if ($num_rows == 0)
	{
		$errormsg = "No matching record found in the PFAST database.";
		display_form($errormsg);
		return;
	}

	?>


<html>
<head>
	<title>Manage Users</title>
	<link rel="stylesheet" type="text/css" href="../includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("../includes/header.php"); ?>

<div id="navigation">
	<a href="../">Home</a> >> 
	<a href="../admin/admin.php">Administration</a> >>
	<a href="../admin/manageuser.php">Manage Users</a> >>Search Results
</div>

<div id="content">

	<h1>Search Results</h1>

	<p>There are <?php echo $num_rows; ?> accounts that matched the search criteria.  Click on the first name to see full details.</p>
	<table id="browsedbresults" cellspacing="0">
		<tr>
			<th scope="col" class="leftmost">First Name</th>
			<th scope="col">Last Name</th>
			<th scope="col">Email</th>
			<th scope="col" colspan="2">Action</th>
		</tr>

		<?php
		// variables for alternating row styles
		$thclass="th_norm";	$tdclass="td_norm";
		
		// Fetch a rows until there are no rows in the resultset
		while ($row = mysql_fetch_array($resultset))
		{
			?>
			<tr>
				<th scope="row" class="<?php echo $thclass; ?>"><a href="userdetails.php?UserID=<?php echo $row["UserID"]?>&Firstname=<?php echo $Firstname; ?>"><?php echo stripslashes($row["Firstname"]); ?></a></th>
				<td class="<?php echo $tdclass; ?>"><?php echo stripslashes($row["Lastname"]); ?></td>
				<td class="<?php echo $tdclass; ?>"><?php echo stripslashes($row["Email"]); ?></td>

				<td class="<?php echo $tdclass; ?>"><a href="edituser.php?UserID=<?php echo $row["UserID"]; ?>&Firstname=<?php echo $Firstname; ?>&Lastname=<?php echo $Lastname; ?>&Email=<?php echo $Email; ?>">EDIT</a></td>
					
				<td class="<?php echo $tdclass; ?>"><a href="confirmdelete.php?UserID=<?php echo $row["UserID"]; ?>&Firstname=<?php echo $Firstname; ?>&Lastname=<?php echo $Lastname; ?>&Email=<?php echo $Email; ?>">DELETE</a></td>
			</tr>
			<?php
			// some code for alternating row styles
			if ($thclass=="th_norm")
			{
				$thclass="th_alt";
				$tdclass="td_alt";
			}
			else
			{
				$thclass="th_norm";	
				$tdclass="td_norm";
			}
		}
		?>
	</table>
<br><br>
<a href="../admin/manageuser.php">New Search</a>
</div>

<?php include("../includes/footer.php"); ?>

</div>

</body>
</html>

<?php
} // end of process_form()
?>



<?php
// begin function display_form();
function display_form($errormsg = "")
{
?>

<html>
<head>
	<title>Manage Users</title>
	<link rel="stylesheet" type="text/css" href="../includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("../includes/header.php"); ?>

<div id="navigation">
	<a href="../">Home</a> >> 
	<a href="../admin/admin.php">Administration</a> >>
	Manage Users
</div>

<div id="content">

	<h1>Manage Users</h1>

	<p>Using this page PFAST administrators can manage users in the database.</p>

	<h2>Search</h2>

	<p>To browse the database for a particular user, please enter the user name or last name or email. Click on the Go button.You will see the list of matching users. </p>

	<?php ShowErrorMessage($errormsg); ?>
	
	<form name='manageuser' method='post' action='<?php echo $_SERVER["PHP_SELF"]; ?>'>

	Search by First Name: <input name='Firstname' type='text' value='<?php echo $_POST["Firstname"]; ?>'><br><br>
	Search by Last Name: <input name='Lastname' type='text' value='<?php echo $_POST["Lastname"]; ?>'><br><br>
	Search by Email: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input name='Email' type='varchar' value='<?php echo $_POST["Email"]; ?>'> <br><br>
	<input type='submit' value='Go'>
	<input type='hidden' name='pagemode' value='process'><br><br>

	</form>

</div>

<?php include("../includes/footer.php"); ?>

</div>

</body>
</html>

<?php
} // end function display_form()
?>


