<html>
<head>
	<title>PFAST - Background</title>
	<link rel="stylesheet" type="text/css" href="../includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("../includes/header.php"); ?>

<div id="navigation">
	<a href="../">Home</a> >> Background
</div>

<div id="content">

	<h1>Background</h1>

	<p>Fluorescence spectroscopy is a traditional method for studying how protein structure varies in different environments, such as temperature and acidity.   One of the amino acids in proteins, tryptophan, naturally fluoresces and is highly sensitive to its surrounding environment. </p>

	<p>The first step is to obtain fluorescence spectra from the protein.  Each spectrum is the sum of the emissions from all tryptophans within the protein.  The next step is to break the total spectra into its component parts to determine the locations of the tryptophans in the protein.  To do this, Dr. Reshetnyak has developed two algorithms: SIMS and PHREQ [1].</p>

	<p>The second step is to find a correlation between this component spectral data and the structural properties of the protein.  Dr. Reshetnyak's work has shown that there is a statistically significant correlation between the tryptophan fluorescence characteristics of a protein and some structural characteristics of the protein [2]. For this purpose, Dr. Reshetnyak has written an analysis program using the Statistica, a software statistical analysis program.</p>

	<p>More details about this research can be found online in three of her papers hosted on the <a href="http://www.biophysj.org/">Biophysics Journal website</a>.</p>
</div>

<?php include("../includes/footer.php"); ?>

</div>

</body>
</html>