<html>
<head>
	<title>PFAST - Downloads</title>
	<link rel="stylesheet" type="text/css" href="../includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("../includes/header.php"); ?>

<div id="navigation">
	<a href="../">Home</a> >> Downloads
</div>

<div id="content">

	<h1>Downloads</h1>

	<p>The analysis tools (FCAT, SCAT) can be downloaded for running locally on your computer.  These binaries are for Windows 32-bit platforms:</p>

	<dl>
		<dt>FCAT: Fluorescence & Correlation Analysis Tool</dt>
		<dd><a href="../fat/pkm.exe">Single spectra (PKM)</a></dd>
		<dd><a href="../fat/pkk.exe">Multiple spectra (PKK)</a></dd>

		<dt>SCAT: Structure & Correlation Analysis Tool</dt>
		<dd>Not yet available</dd>

	</dl>

	<h2>Background</h2>

	<p>Dr. Reshetnyak has published a series of three papers that relate to this project.  They are available to be downloaded here:</p>

	<p><b>Decomposition of Protein Tryptophan Fluorescence Spectra into Log-Normal Components</b></p>

	<dl>
		<dt>I. Decomposition Algorithms</dt>
		<dd>This paper covers the two algorithms, SIMS and PHREQ, used for deconvoluting fluorescence spectra.  [<a href="TRPFL-1.PDF">Download</a>, PDF 131kb]</dd>

		<dt>II. The Statistical Proof of Discreteness of Tryptophan Classes in Proteins</dt>
		<dd>This paper shows that there are five distinct fluorescence classes of tryptophans in proteins. [<a href="TRPFL-2.PDF">Download</a>, PDF 391kb]</dd>

		<dt>III. Correlation between Fluorescence and Microenvironment Parameters of Individual Tryptophan Residues</dt>
		<dd>This paper describes a set of parameters used for describing the microenvironment of tryptophans and correlates these parameters to the decomposed fluorescence spectra. [<a href="TRPFL-3.PDF">Download</a>, PDF 217kb]</dd>
	</dl>


</div>

<?php include("../includes/footer.php"); ?>

</div>

</body>
</html>