<?php
include ("../includes/utility.php");
checkSignedIn("/pfast/index.php");

if (isset($_POST['pagemode']) && ('One' == $_POST['pagemode']))
{
	$_SESSION["pkwhat"] = "PKM";
	display_step2();
}
else if (isset($_POST['pagemode']) && ('More than one' == $_POST['pagemode']))
{
	$_SESSION["pkwhat"] = "PKK";
	display_step2();
}
else
{
	display_step1();
}



function display_step1()
{
?>
<html>
<head>
	<title>PFAST: Fluorescence & Correlation Analysis Tool</title>
	<link rel="stylesheet" type="text/css" href="../includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("../includes/header.php"); ?>

<div id="navigation">
	<a href="../">Home</a> >> Fluorescence & Correlation Analysis Tool
</div>

<div id="content">

	<h1>FCAT: Fluorescence & Correlation Analysis Tool</h1>

	<p>The purpose of this tool is to deconvolute the fluorescence spectrum into its component parts.</p>

	<h2>Step 1</h2>

	<p>Do you have one spectra or more than one spectra?  In other words, is there only one quencher concentration, or more than one?</p>

	<form action='<?php echo $_SERVER["PHP_SELF"];?>' method='POST'>
		<input type='submit' name='pagemode' value='One'>&nbsp;&nbsp;&nbsp;<input type='submit' name='pagemode' value='More than one'>
	</form>

</div>

<?php include("../includes/footer.php"); ?>

</div>

</body>
</html>

<?php
}




function display_step2()
{
?>
<html>
<head>
	<title>PFAST: Fluorescence & Correlation Analysis Tool</title>
	<link rel="stylesheet" type="text/css" href="../includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("../includes/header.php"); ?>

<div id="navigation">
	<a href="../">Home</a> >> Fluorescence & Correlation Analysis Tool
</div>

<div id="content">

	<h1>FCAT: Fluorescence & Correlation Analysis Tool</h1>

	<h2>Step 2</h2>

	<p>Choose a way to submit your experimental data.</p>

	<dl>
		<dt><a href="upload.php">Upload data file</a></dt>
		<dd>This method is for those who have already prepared their experimental data into an acceptable file format.</dd>

		<dt><a href="webform.php">Fill out web forms</a></dt>
		<dd>This method is for those who are not familiar with the format or otherwise have the experimental data in an acceptable file format.</dd>
	</dl>

</div>

<?php include("../includes/footer.php"); ?>

</div>

</body>
</html>

<?php
}
?>
