<?php

include("../includes/utility.php");


if (isset($_POST['pagemode']) && ('process' == $_POST['pagemode']))
{
	process_form();
}
else
{
	display_form();
}

?>


<?php
function process_form()
{
	// Get values from form
	$firstname = addslashes($_POST["firstname"]);
	$lastname = addslashes($_POST["lastname"]);
	$email = addslashes($_POST["email"]);
	$phone = addslashes($_POST["phone"]);
	$address = addslashes($_POST["address"]);
	$research = addslashes($_POST["research"]);
	$username = addslashes($_POST["username"]);
	$password = $_POST["password"];

	// Simple form validation (checks if any field is empty)
	if ($firstname=="" || $lastname=="" || $email=="" || $phone=="" || $address=="" || $research=="" || $username=="" || $password=="")
	{
		$errormsg = "Please completely fill out the form (all fields are required).";
		display_form($errormsg);
		return;
	}


	// Connect to database
	OpenDB();

	// Check if username is already in use
	$query = "SELECT * FROM user WHERE Username='" . $username . "'";
	$resultset = mysql_query($query);
	$num_rows = mysql_num_rows($resultset);

	// Username not in use, proceed
	if ($num_rows==0)
	{
		// Generate random password (not used right now)
		// $password = GeneratePassword(10);
		
		$encrypted = crypt($password);

		// Add record to database
		$query = "INSERT INTO user (firstname, lastname, email, phone, address, research, username, password) VALUES ('$firstname', '$lastname', '$email', '$phone', '$address', '$research', '$username', '$encrypted')";
		mysql_query($query);
	}
	// Username is in use, error
	else
	{
		$errormsg = "Please choose a different username. '" . $_POST["username"] . "' is already used by someone else.";
		display_form($errormsg);
		return;
	}

?>
<html>
<head>
	<title>PFAST: Registration</title>
	<link rel="stylesheet" type="text/css" href="../includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("../includes/header.php"); ?>

<div id="navigation">
	<a href="../">Home</a> >> Registration
</div>

<div id="content">

	<h1>Registration Complete</h1>

	<p>Your username is "<?php echo stripslashes($username); ?>" and your password is "<?php echo $password; ?>".  Please record this information in a safe place.  You can now <a href="../">return to the homepage</a> and sign in to use the analysis tools.</p>

</div>

<?php include("../includes/footer.php"); ?>

</div>

</body>
</html>

<?php
}
?>




<?php
// begin function display_form();
function display_form($errormsg = "")
{
?>

<html>
<head>
	<title>PFAST: Registration</title>
	<link rel="stylesheet" type="text/css" href="../includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("../includes/header.php"); ?>

<div id="navigation">
	<a href="../">Home</a> >> Registration
</div>

<div id="content">

	<h1>Registration</h1>

	<p>The main purpose of registration is for us to have contact information for data that is submitted to our database.  Second, we would like to know general site usage statistics.</p>

	<p>Please provide the following information.</p>

	<?php ShowErrorMessage($errormsg); ?>

	<form name='registration' method='post' action='<?php echo $_SERVER["PHP_SELF"]; ?>'>
		<table>
			<tr><td>Lastname:</td><td><input name='lastname' type='text' value='<?php echo $_POST["lastname"]; ?>'></td></tr>
			<tr><td>Firstname:</td><td><input name='firstname' type='text' value='<?php echo $_POST["firstname"]; ?>'></td></tr>
			<tr><td>Username:</td><td><input name='username' type='text' value='<?php echo $_POST["username"]; ?>'></td></tr>
			<tr><td>Password:</td><td><input name='password' type='password' value='<?php echo $_POST["password"]; ?>'></td></tr>
			<tr><td>Email:</td><td><input name='email' type='text' value='<?php echo $_POST["email"]; ?>'></td></tr>
			<tr><td>Phone:</td><td><input name='phone' type='text' value='<?php echo $_POST["phone"]; ?>'></td></tr>
			<tr><td>Address:</td><td><textarea name='address'><?php echo $_POST["address"]; ?></textarea></td></tr>
			<tr><td>Research:</td><td><input name='research' type='text' size='40' value='<?php echo $_POST["research"]; ?>'></td></tr>
			<tr><td colspan='2'><input type='submit' value='Register'></td></tr>
		</table>
		<input type='hidden' name='pagemode' value='process'>
	</form>

</div>

<?php include("../includes/footer.php"); ?>

</div>

</body>
</html>

<?php
} // end function display_form()
?>