<?php
include ("../includes/utility.php");
checkAdmin("/pfast/index.php");

if (isset($_POST['pagemode']) && ('process' == $_POST['pagemode']))
{
	process_form();
}
else
{
	display_form();
}



function process_form()
{

	// Get values from form
	$Code = addslashes(trim($_POST["Code"]));
	$searchstring = addslashes(trim($_POST["searchstring"]));
	$ProteinName = addslashes(trim($_POST["ProteinName"]));
	$Source = addslashes(trim($_POST["Source"]));
	$Conditions = addslashes(trim($_POST["Conditions"]));
	$Settings = addslashes(trim($_POST["Settings"]));
	$Quencher = addslashes(trim($_POST["Quencher"]));
	$Comments = addslashes(trim($_POST["Comments"]));
	$Authors = addslashes(trim($_POST["Authors"]));
	$Citation = addslashes(trim($_POST["Citation"]));
	$FluorSummary =addslashes(trim($_POST["FluorSummary"]));
	$FluorResult = addslashes(trim($_POST["FluorResult"]));
	$FluorGraph = addslashes(trim($_POST["FluorGraph"]));

	// Miscellaneous values
	$UserID = $_SESSION["userid"];
	$SubmissionDate = date("Y-m-d");

	
	// Connect to database
	OpenDB();

	// Get code's existing record
	$query = "SELECT * FROM experiment WHERE Code='" . $Code . "'";
	$result = mysql_query($query);
	$row = mysql_fetch_array($result);


	// Update experiment
	$query = "UPDATE experiment SET UserID=$UserID, ProteinName='$ProteinName', SubmissionDate='$SubmissionDate', Source='$Source', Conditions='$Conditions', Settings='$Settings', Quencher='$Quencher', Comments='$Comments', Authors='$Authors', Citation='$Citation' WHERE Code= '$Code'";

	mysql_query($query);
?>

<html>
<head>
	<title>Manage Database</title>
	<link rel="stylesheet" type="text/css" href="../includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("../includes/header.php"); ?>

<div id="navigation">
	<a href="../">Home</a> >> 
	<a href="../admin/admin.php">Administration</a> >>
	<a href="../database/database.php">Manage Database</a> >>
	<a href="../database/database.php?pagemode=Search&searchstring=<?php echo $searchstring; ?>">Search Results</a> >>Edit Database
</div>


<div id="content">

	<h1>Edit Successful</h1>

<?php echo "You have edited and updated the experiment information for " . stripslashes($ProteinName) . "."; ?>
<br><br>
<a href="../database/database.php?pagemode=Search&searchstring=<?php echo $searchstring; ?>">Return to  results</a>

</div>

<?php include("../includes/footer.php"); ?>

</div>

</body>
</html>

<?php
} // end function process_form()
?>


<?php
function display_form($errormsg="")
{
?>
<html>
<head>
	<title>Manage Database</title>
	<link rel="stylesheet" type="text/css" href="../includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("../includes/header.php"); ?>

<div id="navigation">
	<a href="../">Home</a> >> 
	<a href="../admin/admin.php">Administration</a> >>
	<a href="../database/database.php">Manage Database</a> >>
	<a href="../database/database.php?pagemode=Search&searchstring=<?php echo $_REQUEST["searchstring"]; ?>">Search Results</a> >>Edit Database
</div>


<div id="content">

	<h1>Edit Database Information</h1>

	<p>You can use this page to edit and update the experiment in Database.</p>

<?php ShowErrorMessage($errormsg); 

   $Code = $_REQUEST["Code"];
  
	 
	// Connect to database
	OpenDB();

	$sql = "SELECT * FROM experiment WHERE Code='" . $Code . "'";
	$result = mysql_query($sql); 
	$myrow = mysql_fetch_array($result);

	?>
	
	<form action="<?php echo $_SERVER["PHP_SELF"]; ?>" method="POST">

		<p><b>PFAST Code</b><br><input type='text' name='Code' size='10' maxlength='10' value='<?php echo stripslashes($myrow["Code"]); ?>'></p>

		<p><b>Title (Protein Name)</b><br><input type='text' name='ProteinName' size='80' value='<?php echo stripslashes($myrow["ProteinName"]); ?>'></p>
		
		<p><b>Source</b><br><input type='text' name='Source' size='80' value='<?php echo stripslashes($myrow["Source"]); ?>'></p>
		
		<p><b>Measurement Conditions</b><br><input type='text' name='Conditions' size='80' value='<?php echo stripslashes($myrow["Conditions"]); ?>'></p>

		<p><b>Spectrofluorometer Settings</b><br><input type='text' name='Settings' size='80' value='<?php echo stripslashes($myrow["Settings"]); ?>'></p>

		<p><b>Quencher</b><br><input type='text' name='Quencher' size='80' value='<?php echo stripslashes($myrow["Quencher"]); ?>'></p>

		<p><b>Comments</b><br><textarea rows='3' cols='80' name='Comments'><?php echo stripslashes($myrow["Comments"]); ?></textarea></p>
		
		<p><b>Authors</b><br><textarea rows='3' cols='80' name='Authors'><?php echo stripslashes($myrow["Authors"]); ?></textarea></p>

		<p><b>Citation</b><br><textarea rows='3' cols='80' name='Citation'><?php echo stripslashes($myrow["Citation"]); ?></textarea></p>

		<p><b>FluorSummary</b><br><textarea rows='3' cols='80' name='FluorSummary'><?php echo stripslashes($myrow["FluorSummary"]); ?></textarea></p>

		<p><b>FluorResult</b><br><textarea rows='3' cols='80' name='FluorResult'><?php echo stripslashes($myrow["FluorResult"]); ?></textarea></p>

		<p><b>FluorGraph</b><br><textarea rows='3' cols='80' name='FluorGraph'><?php echo stripslashes($myrow["FluorGraph"]); ?></textarea></p>
		</td></tr>
		
		<input type='hidden' name="Code" value="<?php echo $myrow["Code"]; ?>">
		<input type='hidden' name="searchstring" value="<?php echo $_REQUEST["searchstring"]; ?>">
		<input type='submit' value='Update' class='button'>
		<input type='hidden' name='pagemode' value='process'>
	</form>

</div>

<?php include("../includes/footer.php"); ?>

</div>

</body>
</html>

<?php
} // end function display_form()
