<?php
include("includes/utility.php");


if (isset($_POST['pagemode']) && ('process' == $_POST['pagemode']))
{
	process_form();
}
else if (isset($_GET['pagemode']) && ('signout' == $_GET['pagemode']))
{
	SignOut();
	display_form();
}
else
{
	display_form();
}

?>



<?php
function process_form()
{
	// Get values from form
	$username = addslashes($_POST["username"]);
	$password = $_POST["password"];

	// Simple form validation (checks if any field is empty)
	if ($username=="" || $password=="")
	{
		$errormsg = "Please provide both your username and password.";
		display_form($errormsg);
		return;
	}

	// Connect to DB
	OpenDB();

	// Check username and password
	$query = "SELECT * FROM user WHERE Username='$username'";
	$resultset = mysql_query($query);
	$num_rows = mysql_num_rows($resultset);


	// If username exists
	if ($num_rows==1)
	{
		// check password
		$row = mysql_fetch_array($resultset);
		if(crypt($password, $row["Password"]) == $row["Password"])
		{
			// password is ok
			SignIn($row["UserID"], $row["IsAdmin"]);
		}

		else
		{
			display_form("The username and password combination was invalid.");
			return;
		}
	}
	// Not ok
	else
	{
		display_form("The username and password combination was invalid.");
		return;
	}

	display_form();

} // end process_form();

?>





<!-- **** DEFAULT VIEW -- HOMEPAGE **** -->

<?php
// begin function display_form();
function display_form($errormsg = "")
{
?>

<html>
<head>
	<title>PFAST</title>
	<link rel="stylesheet" type="text/css" href="includes/pfast.css">
</head>

<body>

<div id="centercontainer">

<?php include("includes/header.php"); ?>

<div id="content">

	<h1>Welcome</h1>

	<p>This website provides a collection of tools for the analysis of protein tryptophan fluorescence spectra, protein structure microenvironments, and correlation between protein fluorescence and structure.</p>

	<?php
	if (!isSignedIn())
	{
	?>

	<h2>Sign In</h2>

	<?php ShowErrorMessage($errormsg); ?>

	<form name='signin' action='<?php echo $_SERVER["PHP_SELF"]; ?>' method='post'>
		Username: <input type='text' name='username' value='<?php echo stripslashes($_POST['username']); ?>'><br>
		Password: <input type='password' name='password'><br>
		<input type='submit' value='Sign In'>
		<input type='hidden' name='pagemode' value='process'>
	</form>

	<p>User registration to this site is required for using the analysis tools. You do not need to register to browse the database.  Registration is free.  [<a href="registration/">Register here</a>]</p>

	<?php
	}
	?>

	<h2>Tools</h2>

	<dl>
		<dt><a href="database/">PFAST Database</a></dt>
		<dd>Browse parameters collected from previous experiements.</dd>

		<?php
		if (isSignedIn())
		{
		?>
		
		<dt><a href="fat/">FCAT: Fluorescence & Correlation Analysis Tool</a></dt>
		<dd>Deconvolute tryptophan fluorescence spectra into components</dd>

		<dt><a href="#">SCAT: Structure & Correlation Analysis Tool</a></dt>
		<dd>Analyze the microenvironments of tryptophans in a protein</dd>

		<dt><a href="<?php echo $_SERVER["PHP_SELF"];?>?pagemode=signout">Sign Out</a></dt>

		<?php
		if (isAdmin())
		{
		?>
	
		<dt><a href="admin/">Administration</a></dt>

		<?php
		}
		?>


		<?php
		}
		else
		{
		?>
		<dt>(Please sign in to use the following tools)</dt>

		<dt>FCAT: Fluorescence & Correlation Analysis Tool</dt>
		<dd>Deconvolute tryptophan fluorescence spectra into components</dd>

		<dt>SCAT: Structure & Correlation Analysis Tool</dt>
		<dd>Analyze the microenvironments of tryptophans in a protein</dd>

		<?php
		}
		?>

	</dl>

	<h2>More Information</h2>

	<dl>
		<dt><a href="people/">People</a></dt>
		<dd>Meet Dr. Yana Reshetnyak and others associated with this project.</dd>

		<dt><a href="background/">Background</a></dt>
		<dd>An introduction to the theory and background behind these tools.</dd>

		<dt><a href="downloads/">Downloads</a></dt>
		<dd>Get the analysis programs for running locally.</dd>
	</dl>

</div>

<?php include("includes/footer.php"); ?>

</div>

</body>
</html>

<?php
}  // end display_form();
?>